## org.apache.commons.collections.functors
Class InstanceofPredicate

    java.lang.Object
      org.apache.commons.collections.functors.InstanceofPredicate

All Implemented Interfaces:
  Predicate, Serializable

public final class InstanceofPredicate
extends Object
implements Predicate, Serializable

Predicate implementation that returns true if the input is an instanceof the type stored in this predicate.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/16 11:16:01 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`InstanceofPredicate(Class type)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning true if the input object is of the correct type.
`static Predicate` `getInstance(Class type)` Factory to create the identity predicate.
`Class` `getType()` Gets the type to compare to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceofPredicate

    public InstanceofPredicate(Class type)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `type` - the type to check for

Method Detail

### getInstance

    public static Predicate getInstance(Class type)

  Factory to create the identity predicate.

  Parameters:
    `type` - the type to check for, may not be null
  Returns:
    the predicate
  Throws:
    `IllegalArgumentException` - if the class is null

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning true if the input object is of the correct type.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if input is of stored type

### getType

    public Class getType()

  Gets the type to compare to.

  Returns:
    the type
  Since:
    Commons Collections 3.1

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.